Last Comment Bug 237202 - [META] AMD64 (x86-64) 64-bit tracking
: [META] AMD64 (x86-64) 64-bit tracking
Status: RESOLVED FIXED
: 64bit, meta
Product: Core Graveyard
Classification: Graveyard
Component: Tracking (show other bugs)
: Trunk
: x86_64 All
: -- normal with 28 votes (vote)
: ---
Assigned To: chris hofmann
: chris hofmann
:
Mentors:
http://www.x86-64.org/
Depends on: 345695 691752 163013 225859 225978 226094 226218 226238 227049 229722 232742 233765 236599 236792 239499 239562 242926 243233 244577 249478 256169 260986 266812 275365 281519 281879 312003 327124 328547 338440 344439 345866 440964
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 17:35 PST by Oleg Sidletskiy
Modified: 2016-07-15 12:13 PDT (History)
43 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Oleg Sidletskiy 2004-03-11 17:35:08 PST
This tracking bug should include bugs concerning any OS that runs on AMD
Opteron/Athlon 64 including Linux, Windows (64-bit *and* 32-bit), etc.
Comment 1 Jure Repinc (JLP) 2004-06-30 18:20:52 PDT
Should bug 236792 also be added to depends on list?
Comment 2 Eyal Rozenberg 2006-07-23 05:38:24 PDT
Can someone please elaborate on the general status of mozilla on the x86-64 platform? That is, does it build and run normally or are the '64-bit-safe code' bugs prevent it from building?
Comment 3 Michael Moy 2006-07-25 06:00:56 PDT
(In reply to comment #2)
> Can someone please elaborate on the general status of mozilla on the x86-64
> platform? That is, does it build and run normally or are the '64-bit-safe code'
> bugs prevent it from building?

I built 1.5.0.5 last night on x64 using VS2005 and it seems to work though I'm going to do some more testing on it during the day. I have 2.0 on my list of things to try one of these days. I've been away from Mozilla stuff for several months though.
Comment 4 Makoto Kato [:m_kato] 2006-07-25 07:53:10 PDT
At least, you cannot compile current CVS tree for Firefox 1.5 / 2.0.
Although I don't discuss with Michael, I think I want to resolve x64 build issue until 3.0.
Comment 5 Michael Moy 2006-07-25 08:46:22 PDT
I apply a whole bunch of patches on top of Makoto's patches to get 1.5.0.* x64 builds to work.

I did do a trunk build early in 2006 which worked but haven't tried a 2.0 build. I may give that a shot in the future.
Comment 6 Worcester12345 2006-07-25 09:13:39 PDT
(In reply to comment #5)
> I apply a whole bunch of patches on top of Makoto's patches to get 1.5.0.* x64
> builds to work.
> 
> I did do a trunk build early in 2006 which worked but haven't tried a 2.0
> build. I may give that a shot in the future.
> 

Was that a Firefox trunk, or Seamonkey? Maybe try Seamonkey as well?
Comment 7 Michael Moy 2006-07-25 09:24:18 PDT
(In reply to comment #6)
> (In reply to comment #5)
> > I apply a whole bunch of patches on top of Makoto's patches to get 1.5.0.* x64
> > builds to work.
> > 
> > I did do a trunk build early in 2006 which worked but haven't tried a 2.0
> > build. I may give that a shot in the future.
> > 
> 
> Was that a Firefox trunk, or Seamonkey? Maybe try Seamonkey as well?

It was a Firefox trunk and it was in conjunction with testing code for either
the hash or Javascript stuff that I have two bugs open on.

I really don't have time to do SeaMonkey and I'd guess that building SeaMonkey wouldn't be a trivial task. The x64 builds of Thunderbird uses up to 1.5 GB of memory to build and I would guess that SeaMonkey would require even more.
Comment 8 Makoto Kato [:m_kato] 2009-02-05 17:29:27 PST
set platform to x86_64
Comment 9 Virtual_ManPL [:Virtual] - (ni? me) 2011-03-25 01:56:57 PDT
Should we mark this as closed per bug #558448 creation ?
Comment 10 Virtual_ManPL [:Virtual] - (ni? me) 2011-03-25 01:59:30 PDT
nvm, wrong copy/paste
Comment 11 Worcester12345 2012-07-19 14:14:56 PDT
(In reply to Worcester12345 from comment #6)
> (In reply to comment #5)
> > I apply a whole bunch of patches on top of Makoto's patches to get 1.5.0.* x64
> > builds to work.
> > 
> > I did do a trunk build early in 2006 which worked but haven't tried a 2.0
> > build. I may give that a shot in the future.
> > 
> 
> Was that a Firefox trunk, or Seamonkey? Maybe try Seamonkey as well?

(In reply to Michael Moy from comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > I apply a whole bunch of patches on top of Makoto's patches to get 1.5.0.* x64
> > > builds to work.
> > > 
> > > I did do a trunk build early in 2006 which worked but haven't tried a 2.0
> > > build. I may give that a shot in the future.
> > > 
> > 
> > Was that a Firefox trunk, or Seamonkey? Maybe try Seamonkey as well?
> 
> It was a Firefox trunk and it was in conjunction with testing code for either
> the hash or Javascript stuff that I have two bugs open on.
> 
> I really don't have time to do SeaMonkey and I'd guess that building
> SeaMonkey wouldn't be a trivial task. The x64 builds of Thunderbird uses up
> to 1.5 GB of memory to build and I would guess that SeaMonkey would require
> even more.

I would LOVE to see MMOY pick this up again! This was some great work done many moons ago, and would only be better now! Thanks.
Comment 12 Ted Mielczarek [:ted.mielczarek] 2012-07-19 14:40:37 PDT
I think this bug has outlived its usefulness.

Note You need to log in before you can comment on or make changes to this bug.